## ide-directory-build-system ide-directory-build-system |

## Properties

GFile * | project-file | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_DIRECTORY_BUILD_SYSTEM
| IdeDirectoryBuildSystem

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeDirectoryBuildSystem

## Implemented Interfaces

IdeDirectoryBuildSystem implements GAsyncInitable and IdeBuildSystem.

## Description

## Functions

## Types and Values

### IDE_TYPE_DIRECTORY_BUILD_SYSTEM

    #define IDE_TYPE_DIRECTORY_BUILD_SYSTEM (ide_directory_build_system_get_type())

### IdeDirectoryBuildSystem

    typedef struct _IdeDirectoryBuildSystem IdeDirectoryBuildSystem;

## Property Details

### The `“project-file”` property

      “project-file”             GFile *

The path of the project file.

Flags: Read / Write / Construct Only